<!-- templates/index.html -->
{% extends 'base.html' %}

{% block title %}Data Mahasiswa{% endblock %}

{% block pages %}Data Mahasiswa{% endblock %}

<!-- Data Menu -->
{% block home %}-{% endblock %}
{% block matkul %}-{% endblock %}
{% block topik %}-{% endblock %}
{% block mahasiswa %}active{% endblock %}
{% block training %}-{% endblock %}

{% block content %}
<div class="container-fluid">
    <div class="row">
      <div class="col-12">
        <div class="card card-primary">
            <div class="card-header">
              <h3 class="card-title">Form Input Mahasiswa</h3>
            </div>
            <!-- /.card-header -->
            <!-- form start -->
            <form method="POST" action="{{ url_for('add_mahasiswa_route') }}">
              <div class="card-body">
                <div class="form-group">
                  <label for="exampleInputPassword1">Nama Mahasiswa</label>
                  <input type="text" name="nama" class="form-control" placeholder="Nama Mahasiswa">
                </div>
                <div class="form-group">
                  <label for="exampleInputPassword1">NIM Mahasiswa</label>
                  <input type="text" name="nim" class="form-control" placeholder="NIM Mahasiswa">
                </div>
                <div class="form-group">
                  <label for="exampleInputPassword1">Password</label>
                  <input type="text" name="password" class="form-control" placeholder="Password">
                </div>
              </div>
              <!-- /.card-body -->

              <div class="card-footer">
                <button type="submit" class="btn btn-primary">Simpan</button>
              </div>
            </form>
          </div>
        <div class="card">
            <div class="card-header">
              <h3 class="card-title">Tabel Data Mahasiswa</h3>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
              <table id="example1" class="table table-bordered table-striped">
                <thead>
                <tr>
                  <th style="width: 5%;">No</th>
                  <th>Nama Mahasiswa</th>
                  <th>NIM</th>
                  <th>Password</th>
                  <th style="width: 18%;">Actions</th>
                </tr>
                </thead>
                <tbody>
                  {% for mahasiswa in mahasiswas %}
                  <tr>
                    <td>{{ mahasiswa.id }}</td>
                    <td>{{ mahasiswa.nama }}</td>
                    <td>{{ mahasiswa.nim }}</td>
                    <td>{{ mahasiswa.password }}</td>
                    <td>
                      <a class="btn btn-primary btn-sm" href="{{ url_for('edit_mahasiswa_route', mahasiswa_id=mahasiswa.id) }}">Edit</a>  
                      <a class="btn btn-danger btn-sm" href="{{ url_for('delete_mahasiswa_route', mahasiswa_id=mahasiswa.id) }}">Delete</a></td>
                  </tr>
                  {% endfor %}
                </tbody>
              </table>
            </div>
            <!-- /.card-body -->
          </div>
        <!-- /.card -->
      </div>
      <!-- /.col -->
    </div>
    <!-- /.row -->
  </div>


{% endblock %}